#if !defined( _sha1_h )
#define _sha1_h

#include "types.h"

typedef struct {
      word32 H[ 5 ];
#if defined( word64 )
      word64 bits;
#else
      word32 hbits, lbits;
#endif
      byte M[ 64 ];
      byte mlen;
} SHA1_ctx;

void SHA1_init  ( SHA1_ctx* );
void SHA1_update( SHA1_ctx*, const void*, word32 );
void SHA1_final ( SHA1_ctx* );
void SHA1_digest( SHA1_ctx*, byte* );

#endif
